### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information.metadata.dataexplorer

# Interface DataExplorationEntryInterface

All Superinterfaces:
  `MetadataInterface`, `PublicObjectInterface`, `Remote`

@SASScope("ALL") @BinaryCompatibilityOnly public interface DataExplorationEntryInterface extends MetadataInterface
DataExplorationEntryInterface Defines the interface for a data exploration smart class object.

- ## Field Summary

  ### Fields inherited from interface com.sas.services.information.metadata.MetadataInterface

  `METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `addBookmark(BookmarkEntryInterface bookmark)`
  Adds a new bookmark to the Data Exploration but does not cause the model to save it.
  `List`
  `getBookmarkIDList()`
  `List`
  `getBookmarks()`
  Returns a sorted list of the bookmarks belonging to this DataExploration (sorted by name).
  `String`
  `getInformationMapId()`
  Returns the metadata id of the Information Map associated with this Data Exploration.
  `String`
  `getInformationMapName()`
  Returns the name of the Information Map associated with this Data Exploration.
  `String`
  `getInformationMapPath()`
  `String`
  `getLocation()`
  Returns the metadata folder structure that is the storage location for the DataExploration (something like "BIP Tree/Users/userid/Data Explorations").
  `void`
  `removeBookmark(BookmarkEntryInterface bookmark)`
  Removes a Bookmark from the DataExploration but does not cause the model to delete it from the repository.
  `void`
  `removeBookmark(String id)`
  `void`
  `setDefaultBookmark(BookmarkEntryInterface bookmark)`
  Sets the bookmark as the default.
  `void`
  `setInformationMapId(String id)`
  Sets the metadata id of the Information Map associated with this Data Exploration.
  `void`
  `setInformationMapName(String name)`
  Deprecated.
  fetch the map and set the name on it directly
  `void`
  `setInformationMapPath(String imapPath)`
  `void`
  `setLocation(String location)`
  Sets the storage location of the Data Exploration to a repository tree location.

  ### Methods inherited from interface com.sas.services.information.metadata.MetadataInterface

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isObjectAlive, isReadCompatible, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

  ### Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface

  `addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

- ## Method Details

  - ### addBookmark

    boolean addBookmark(BookmarkEntryInterface bookmark) throws RemoteException, ServiceException
    Adds a new bookmark to the Data Exploration but does not cause the model to save it. duplicate adds should be silently ignored
    Parameters:
      `bookmark` - the bookmark to add
    Returns:
      true if the bookmark has been successfully added
    Throws:
      `RemoteException`
      `ServiceException`

  - ### removeBookmark

    void removeBookmark(BookmarkEntryInterface bookmark) throws RemoteException, com.sas.metadata.remote.MdException, ServiceException
    Removes a Bookmark from the DataExploration but does not cause the model to delete it from the repository.
    Parameters:
      `bookmark` - the bookmark to remove
    Throws:
      `RemoteException`
      `com.sas.metadata.remote.MdException`
      `ServiceException`

  - ### removeBookmark

    void removeBookmark(String id) throws RemoteException, com.sas.metadata.remote.MdException, ServiceException
    Throws:
      `RemoteException`
      `com.sas.metadata.remote.MdException`
      `ServiceException`

  - ### setDefaultBookmark

    void setDefaultBookmark(BookmarkEntryInterface bookmark) throws RemoteException, com.sas.metadata.remote.MdException, ServiceException
    Sets the bookmark as the default.
    Parameters:
      `bookmark` - The bookmark to be set.
    Throws:
      `RemoteException`
      `com.sas.metadata.remote.MdException`
      `ServiceException`

  - ### getBookmarks

    List getBookmarks() throws RemoteException, ServiceException
    Returns a sorted list of the bookmarks belonging to this DataExploration (sorted by name). This list was created by `addBookmark(BookmarkInteface)` when this Data Exploration was initialized. Returns an empty list of no bookmarks exist
    Returns:
      collection of bookmark objects
    Throws:
      `RemoteException`
      `ServiceException`

  - ### getBookmarkIDList

    List getBookmarkIDList() throws RemoteException, com.sas.metadata.remote.MdException, ServiceException
    Throws:
      `RemoteException`
      `com.sas.metadata.remote.MdException`
      `ServiceException`

  - ### getLocation

    String getLocation() throws RemoteException, com.sas.metadata.remote.MdException, ServiceException
    Returns the metadata folder structure that is the storage location for the DataExploration (something like "BIP Tree/Users/userid/Data Explorations").
    Returns:
      location (as string)
    Throws:
      `RemoteException`
      `com.sas.metadata.remote.MdException`
      `ServiceException`

  - ### setLocation

    void setLocation(String location) throws RemoteException, ServiceException, com.sas.metadata.remote.MdException
    Sets the storage location of the Data Exploration to a repository tree location. Locations are something like "BIP Tree/Users/userid/Data Exploration".
    Parameters:
      `location` - the storage tree
    Throws:
      `RemoteException`
      `ServiceException`
      `com.sas.metadata.remote.MdException`

  - ### getInformationMapName

    String getInformationMapName() throws RemoteException, ServiceException, com.sas.metadata.remote.MdException
    Returns the name of the Information Map associated with this Data Exploration.
    Returns:
      the name of the information map
    Throws:
      `RemoteException`
      `ServiceException`
      `com.sas.metadata.remote.MdException`

  - ### getInformationMapPath

    String getInformationMapPath() throws RemoteException, ServiceException, com.sas.metadata.remote.MdException
    Throws:
      `RemoteException`
      `ServiceException`
      `com.sas.metadata.remote.MdException`

  - ### setInformationMapPath

    void setInformationMapPath(String imapPath) throws RemoteException, ServiceException, com.sas.metadata.remote.MdException
    Throws:
      `RemoteException`
      `ServiceException`
      `com.sas.metadata.remote.MdException`

  - ### setInformationMapName

    void setInformationMapName(String name) throws RemoteException, ServiceException, com.sas.metadata.remote.MdException
    Deprecated.
    fetch the map and set the name on it directly
    Sets the name of the Information Map associated with this Data Exploration.
    Parameters:
      `map` - the name of the map
    Throws:
      `RemoteException`
      `ServiceException`
      `com.sas.metadata.remote.MdException`

  - ### getInformationMapId

    String getInformationMapId() throws RemoteException, com.sas.metadata.remote.MdException, ServiceException
    Returns the metadata id of the Information Map associated with this Data Exploration.
    Returns:
      the id
    Throws:
      `RemoteException`
      `com.sas.metadata.remote.MdException`
      `ServiceException`

  - ### setInformationMapId

    void setInformationMapId(String id) throws RemoteException, com.sas.metadata.remote.MdException, ServiceException
    Sets the metadata id of the Information Map associated with this Data Exploration.
    Parameters:
      `id` - the id of the map
    Throws:
      `RemoteException`
      `com.sas.metadata.remote.MdException`
      `ServiceException`